Net::DNS::FAQ(3)

NAME
Net::DNS::FAQ - Frequently Asked Net::DNS Questions

SYNOPSIS
 perldoc Net::DNS::FAQ

DESCRIPTION
This document serves to answer the most frequently asked questions on both the Net::DNS Mailing List and those sent to the author.

The latest version of this FAQ can be found at
    http://www.net-dns.org/docs/FAQ.html

GENERAL

  What is Net::DNS?
Net::DNS is a perl implementation of a DNS resolver.

INSTALLATION

  Where can I find Test::More?
Test::More is part of the Test-Simple packge, by Michael G Schwern. You should be able to find the distrubution here:

        http://search.cpan.org/dist/Test-Simple/

USAGE

  Why does Net::DNS::Resolver::query() return undef when the ANSWER section is empty?
The short answer is, don't use query(). Net::DNS::Resolver::send() will always return the answer packet, as long as an answer was received.

The longer answer is that query() is modeled after the res_query() function from the libresolv C library, which has similar behaviors.

VERSION
 $Id: FAQ.pod 101 2004-08-12 05:12:05Z ctriv $